CSFML
Enumerations | Functions
Sensor.h File Reference
`#include <SFML/Window/Export.h>`
`#include <SFML/Window/Types.h>`
`#include <SFML/System/Vector3.h>`

Go to the source code of this file.

## Enumerations

enum | sfSensorType { sfSensorAccelerometer, sfSensorGyroscope, sfSensorMagnetometer, sfSensorGravity, sfSensorUserAcceleration, sfSensorOrientation, sfSensorCount }
| Sensor Types. More...

## Functions

CSFML_WINDOW_API sfBool | sfSensor_isAvailable (sfSensorType sensor)
| Check if a sensor is available on the underlying platform. More...
CSFML_WINDOW_API void | sfSensor_setEnabled (sfSensorType sensor, sfBool enabled)
| Enable or disable a sensor. More...
CSFML_WINDOW_API sfVector3f | sfSensor_getValue (sfSensorType sensor)
| Get the current sensor value. More...

## Enumeration Type Documentation

## ◆ sfSensorType

enum sfSensorType

Sensor Types.

Enumerator
sfSensorAccelerometer | Measures the raw acceleration (m/s^2)
sfSensorGyroscope | Measures the raw rotation rates (degrees/s)
sfSensorMagnetometer | Measures the ambient magnetic field (micro-teslas)
sfSensorGravity | Measures the direction and intensity of gravity, independent of device acceleration (m/s^2)
sfSensorUserAcceleration | Measures the direction and intensity of device acceleration, independent of the gravity (m/s^2)
sfSensorOrientation | Measures the absolute 3D orientation (degrees)
sfSensorCount | Keep last – the total number of sensor types.

Definition at line 40 of file Sensor.h.

## Function Documentation

## ◆ sfSensor_getValue()

CSFML_WINDOW_API sfVector3f sfSensor_getValue | ( | sfSensorType | sensor | ) |

Get the current sensor value.

Parameters

  sensor | Sensor to read

Returns
  The current sensor value

## ◆ sfSensor_isAvailable()

CSFML_WINDOW_API sfBool sfSensor_isAvailable | ( | sfSensorType | sensor | ) |

Check if a sensor is available on the underlying platform.

Parameters

  sensor | Sensor to check

Returns
  sfTrue if the sensor is available, sfFalse otherwise

## ◆ sfSensor_setEnabled()

CSFML_WINDOW_API void sfSensor_setEnabled | ( | sfSensorType | sensor,
|  | sfBool | enabled
| ) |  |

Enable or disable a sensor.

All sensors are disabled by default, to avoid consuming too much battery power. Once a sensor is enabled, it starts sending events of the corresponding type.

This function does nothing if the sensor is unavailable.

Parameters

  sensor | Sensor to enable
  enabled | sfTrue to enable, sfFalse to disable